<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  February 21th 2007                                       //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2007 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	class t_command extends triton {
		function runCommand($param, $channel=NULL) {

			if (isset($param[1])) {
				
				if (!strstr($this -> getChannelData($this -> channel, "users"), "M:".$this -> nickname.",")) {
			
					if (!$this -> getChannelData($this -> channel, "mode_m")) {
				
						$user = $param[1];
						
						unset($param[0], $param[1]);
						if (isset($param[2])) $object = implode(" ", $param);
						else $object = "lead pipe";
						
						$this -> actionMsg('ACTION_BEAT', array($this -> nickname, $user, $object));

					}
					else $this -> localEcho('ERR_MODERATED', array($this -> channel));
				
				}
				else $this -> localEcho('ERR_MUTED', array($this -> channel));

			}
			else $this -> localEcho('ERR_PARAMCOUNT', array($param[0]));
		}
	}
	
?>